﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

   
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "John Hammond", "United States")
            dt.Rows.Add(2, "Mudassar Khan", "India")
            dt.Rows.Add(3, "Suzanne Mathews", "France")
            dt.Rows.Add(4, "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub GridView1_RowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            'Access Cell values.
            Dim customerId As Integer = Integer.Parse(e.Row.Cells(0).Text)
            Dim name As String = e.Row.Cells(1).Text
            Dim country As String = e.Row.Cells(2).Text
        End If
    End Sub

    Protected Sub GridView1_RowCommand(sender As Object, e As GridViewCommandEventArgs)
        'Determine the RowIndex of the Row whose Button was clicked.
        Dim rowIndex As Integer = Convert.ToInt32(e.CommandArgument)

        'Reference the GridView Row.
        Dim row As GridViewRow = GridView1.Rows(rowIndex)

        'Access Cell values.
        Dim customerId As Integer = Integer.Parse(row.Cells(0).Text)
        Dim name As String = row.Cells(1).Text
        Dim country As String = row.Cells(2).Text

        ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Customer Id: " & customerId & "\nName: " & name & "\nCountry: " & country & "');", True)
    End Sub

End Class
